Package com.google.android.exoplayer2

## Class MediaItem.AdsConfiguration

- java.lang.Object
- - com.google.android.exoplayer2.MediaItem.AdsConfiguration

- Enclosing class:
    MediaItem

      public static final class MediaItem.AdsConfiguration
      extends Object

  Configuration for playing back linear ads with a media item.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `Object` | `adsId` | An opaque identifier for ad playback state associated with this item, or `null` if the combination of the `media ID` and `ad tag URI` should be used as the ads identifier.
    `Uri` | `adTagUri` | The ad tag URI to load.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `int` | `hashCode()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### adTagUri

          public final Uri adTagUri

      The ad tag URI to load.

    - #### adsId

          @Nullable
          public final Object adsId

      An opaque identifier for ad playback state associated with this item, or `null` if the combination of the `media ID` and `ad tag URI` should be used as the ads identifier.

  - ### Method Detail

    - #### equals

          public boolean equals​(@Nullable
                                Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`